org.apache.lucene.queryParser.standard.config

## Class AnalyzerAttributeImpl

- java.lang.Object
- - org.apache.lucene.util.AttributeImpl
  - - org.apache.lucene.queryParser.standard.config.AnalyzerAttributeImpl

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, AnalyzerAttribute, Attribute

      public class AnalyzerAttributeImpl
      extends AttributeImpl
      implements AnalyzerAttribute

  This attribute is used by `AnalyzerQueryNodeProcessor` processor and must be defined in the `QueryConfigHandler`. It provides to this processor the `Analyzer`, if there is one, which will be used to analyze the query terms.
  See Also:
    `AnalyzerAttribute`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnalyzerAttributeImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Clears the values in this AttributeImpl and resets it to its default value.
    `void` | `copyTo(AttributeImpl target)` Copies the values from this Attribute into the passed-in target attribute.
    `boolean` | `equals(java.lang.Object other)` All values used for computation of `AttributeImpl.hashCode()` should be checked here for equality.
    `Analyzer` | `getAnalyzer()`
    `int` | `hashCode()` Subclasses must implement this method and should compute a hashCode similar to this:
    `void` | `setAnalyzer(Analyzer analyzer)`
    `java.lang.String` | `toString()` The default implementation of this method accesses all declared fields of this object and prints the values in the following syntax:

    - ### Methods inherited from class org.apache.lucene.util.AttributeImpl

      `clone`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AnalyzerAttributeImpl

          public AnalyzerAttributeImpl()

  - ### Method Detail

    - #### setAnalyzer

          public void setAnalyzer(Analyzer analyzer)

      Specified by:
        `setAnalyzer` in interface `AnalyzerAttribute`

    - #### getAnalyzer

          public Analyzer getAnalyzer()

      Specified by:
        `getAnalyzer` in interface `AnalyzerAttribute`

    - #### clear

          public void clear()

      Description copied from class: `AttributeImpl`
      Clears the values in this AttributeImpl and resets it to its default value. If this implementation implements more than one Attribute interface it clears all.
      Specified by:
        `clear` in class `AttributeImpl`

    - #### copyTo

          public void copyTo(AttributeImpl target)

      Description copied from class: `AttributeImpl`
      Copies the values from this Attribute into the passed-in target attribute. The target implementation must support all the Attributes this implementation supports.
      Specified by:
        `copyTo` in class `AttributeImpl`

    - #### equals

          public boolean equals(java.lang.Object other)

      Description copied from class: `AttributeImpl`
      All values used for computation of `AttributeImpl.hashCode()` should be checked here for equality. see also `Object.equals(Object)`
      Specified by:
        `equals` in class `AttributeImpl`

    - #### hashCode

          public int hashCode()

      Description copied from class: `AttributeImpl`
      Subclasses must implement this method and should compute a hashCode similar to this:

             public int hashCode() {
               int code = startOffset;
               code = code * 31 + endOffset;
               return code;
             }

      see also `AttributeImpl.equals(Object)`
      Specified by:
        `hashCode` in class `AttributeImpl`

    - #### toString

          public java.lang.String toString()

      Description copied from class: `AttributeImpl`
      The default implementation of this method accesses all declared fields of this object and prints the values in the following syntax:

             public String toString() {
               return "start=" + startOffset + ",end=" + endOffset;
             }

      This method may be overridden by subclasses.
      Overrides:
        `toString` in class `AttributeImpl`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.